﻿using System.Collections.Immutable;
using System.Runtime.Serialization;

namespace Models
{
    [DataContract]
    public class Recipe
    {
        [DataMember]
        public RecipeInfo Info { get; init; }
        [DataMember]
        public User Owner { get; init; }
        [DataMember]
        public ImmutableList<Ingredient> Ingredients { get; init; }
        [DataMember]
        public ImmutableList<PreparationStep> Steps { get; init; }

        public Recipe(RecipeInfo info, User owner, ImmutableList<Ingredient> ingredients, ImmutableList<PreparationStep> steps)
        {
            Info = info;
            Owner = owner;
            Ingredients = ingredients;
            Steps = steps;
        }
    }
}